Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.nbmodule
Class OpenAction

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.util.actions.SystemAction
              org.openide.util.actions.CallableSystemAction
                  org.openide.util.actions.NodeAction
                      org.openide.util.actions.CookieAction
                          org.gjt.jclasslib.nbmodule.OpenAction

All Implemented Interfaces:
  Action, ActionListener, EventListener, Externalizable, Presenter, Presenter.Menu, Presenter.Popup, Presenter.Toolbar, Serializable

public class OpenAction
extends CookieAction

Action to open a class file.

Version:
  $Revision: 1.6 $ $Date: 2003/08/18 07:56:58 $
Author:
  Ingo Kegel
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.openide.util.actions.Presenter
`Presenter.Menu, Presenter.Popup, Presenter.Toolbar`

Field Summary

Fields inherited from class org.openide.util.actions.CookieAction
`MODE_ALL, MODE_ANY, MODE_EXACTLY_ONE, MODE_ONE, MODE_SOME`

Fields inherited from class org.openide.util.actions.SystemAction
`PROP_ENABLED, PROP_ICON`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`OpenAction()`

Method Summary
`protected Class[]` | `cookieClasses()`
`protected boolean` | `enable(Node[] nodes)`
`HelpCtx` | `getHelpCtx()`
`String` | `getName()`
`protected String` | `iconResource()`
`protected int` | `mode()`
`protected void` | `performAction(Node[] nodes)`

Methods inherited from class org.openide.util.actions.NodeAction
`actionPerformed, addNotify, getActivatedNodes, initialize, isEnabled, performAction, removeNotify, setEnabled, surviveFocusChange`

Methods inherited from class org.openide.util.actions.CallableSystemAction
`getMenuPresenter, getPopupPresenter, getToolbarPresenter`

Methods inherited from class org.openide.util.actions.SystemAction
`clearSharedData, createPopupMenu, createToolbarPresenter, get, getIcon, getIcon, getValue, linkActions, putValue, setIcon`

Methods inherited from class org.openide.util.SharedClassObject
`addPropertyChangeListener, equals, finalize, findObject, findObject, firePropertyChange, getLock, getProperty, hashCode, putProperty, putProperty, readExternal, removePropertyChangeListener, writeExternal, writeReplace`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.Action
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### OpenAction

    public OpenAction()

Method Detail

### getName

    public String getName()

### iconResource

    protected String iconResource()

### enable

    protected boolean enable(Node[] nodes)

### cookieClasses

    protected Class[] cookieClasses()

### mode

    protected int mode()

### performAction

    protected void performAction(Node[] nodes)

### getHelpCtx

    public HelpCtx getHelpCtx()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD